#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	// initialize the accelerometer
	ofxAccelerometer.setup();
    
	ofBackground(0);
    pt.set(ofGetWidth()/2, ofGetHeight()/2);
    ofSetLineWidth(5);
}

//--------------------------------------------------------------
void testApp::update(){
    ofPoint correctedForce = ofxAccelerometer.getForce();
    correctedForce.y *= -1;
    pt = pt + correctedForce;
    
    pts.push_back(pt);
}

//--------------------------------------------------------------
void testApp::draw(){
	for (int i = 1 ; i < pts.size(); i++){
        ofLine(
               pts[i-1].x, pts[i-1].y,
               pts[i].x, pts[i].y
               );
    }
}

//--------------------------------------------------------------
void testApp::exit(){
    
}

//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs & touch){
    cout << touch.y/ofGetHeight() << endl;
    ofxAccelerometer.setForceSmoothing(touch.y/ofGetHeight());
}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void testApp::lostFocus(){
    
}

//--------------------------------------------------------------
void testApp::gotFocus(){
    
}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){
    
}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){
    
}

