#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofBackground(127,127,127);
    ofSetOrientation(OF_ORIENTATION_DEFAULT);
    // equivalent
    //ofxiPhoneSetOrientation(OFXIPHONE_ORIENTATION_LANDSCAPE_LEFT);
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	ofRect(5, 5, 5, 5);
    ofDrawBitmapString("<- this is point 5,5", 10, 12);
    ofDrawBitmapString(
                       "screen width " + ofToString(ofGetWidth()),
                       5,
                       ofGetHeight()-20
                       );
    ofDrawBitmapString(
                       "screen height " + ofToString(ofGetHeight()),
                       5,
                       ofGetHeight()-10
                       );

    switch (ofGetOrientation()) {
        case OF_ORIENTATION_DEFAULT:
            ofDrawBitmapString(
                               "PORTRAIT",
                               ofGetWidth()-80,
                               10
                               );

            break;
        case OF_ORIENTATION_90_LEFT:
            ofDrawBitmapString(
                               "LANDSCAPE",
                               ofGetWidth()-80,
                               10
                               );
            
            break;
            
        default:
            break;
    }
    
}

//--------------------------------------------------------------
void testApp::exit(){

}

//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs & touch){
    ofSetOrientation(OF_ORIENTATION_90_LEFT);
}

//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs & touch){
    ofSetOrientation(OF_ORIENTATION_DEFAULT);
}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){
    ofSetOrientation(ofOrientation(newOrientation));
}

