#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofBackground(127,127,127);
    cam = new ofxiPhoneImagePicker();
    
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
    if (cam->imageUpdated){
        
        unsigned char * camPixels = cam->pixels;
        
        picture.setFromPixels(camPixels, cam->width, cam->height,  OF_IMAGE_COLOR_ALPHA);
        cam->close();
        
    }
    
    picture.draw(0, 0);
    
}

//--------------------------------------------------------------
void testApp::exit(){

}

//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs & touch){
    //cam->openCamera();
    // note: it doesn't work on iPad
    cam->openLibrary();
    
    picture.allocate(cam->width, cam->height, OF_IMAGE_COLOR_ALPHA);
}

//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}

